This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 881737 - nova may delete corrupt VM images with shared VM images
nova may delete corrupt VM images with shared VM images
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
1.0 (Essex)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.0 Essex
Assigned To: Martin Magr
Attila Fazekas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-29 08:38 EST by Pádraig Brady
Modified: 2016-01-04 09:41 EST (History)
3 users (show)

See Also:
Fixed In Version: openstack-nova-2012.2.3-1.el6ost
Doc Type: Bug Fix
Doc Text:
With /var/lib/nova/instances on shared storage the Nova image cache manager may corrupt the checksum files or checksum redundantly or it may incorrectly delete images determining them as unused. This bug is fixed in Nova Folsom release, and in Essex this feature should be disabled by removing parameter remove_unused_base_images = True from nova.conf and adding image_cache_manager_interval = 0 when using shared storage for Nova VM images.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-27 07:43:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1075018 None None None Never
Launchpad 1078594 None None None Never

  None (edit)
Description Pádraig Brady 2012-11-29 08:38:52 EST
With /var/lib/nova/instances on shared storage...

The VM image cache manager may corrupt the
checksum files or checksum redundantly:
http://pad.lv/1075018

Or it may incorrectly delete images
determining them as unused:
http://pad.lv/1078594

To completely disable this feature, adjust the supplied nova.conf to:
- remove_unused_base_images = True
+ image_cache_manager_interval = 0

The caveat with this is that when not using
shared storage for VM instances, you don't get
the benefit of stale base images being cleaned up.

Folsom has the issue too, but that's being addressed
in a pending stable update, so I'm only logging this
against essex for now.
Comment 2 Nikola Dipanov 2012-12-13 08:26:32 EST
So this bug has been fixed in Folsom stable, and we have the config tweak in our essex fedora branch so it's just a matter of making sure we cherry pick this to the RHOS essex branch, as I believe it does not warrant a full backport.
Comment 3 Alan Pevec 2012-12-13 10:03:42 EST
Note that pushing an update with changed nova.conf won't fix existing installations where nova.conf was customized b/c it's %config(noreplace)
Comment 4 Martin Magr 2012-12-20 12:15:21 EST
Moving to 2.1

Note You need to log in before you can comment on or make changes to this bug.